% compute_px.m
start_days = 84;
calib_weeks = 39;
t = calib_weeks - [1:start_days]'/7;
censor_point = 7;
% compute P(X(t)=x) for the uncorrelated model 
Nu = params_uncorr(1:2);
Sigma = diag([params_uncorr(3:4)]);
Y = Z*sqrt(Sigma);
lam = exp(Nu(1) + Y(:,1));
mu = exp(Nu(2) + Y(:,2));
lammu = lam+mu;
px_uncorr = zeros(start_days,censor_point+1);
for y = 0:censor_point-1
   part1 = (lam*t').^y.*exp(-lammu*t')/prod(1:y);
   part2 = lam.^y.*mu./(lammu.^(y+1))*ones(1,start_days);
   part3 = 0;
   for j=0:y
      part3 = part3 + (lammu*t').^j/prod(1:j); 
   end
   px_uncorr(:,y+1) = mean(part1 + part2.*(1-exp(-lammu*t').*part3))';
end
px_uncorr(:,censor_point+1) = 1 - sum(px_uncorr(:,1:censor_point),2);
% compute P(X(t)=x) for the correlated model 
Nu = params_corr(1:2);
R = [ params_corr(3) params_corr(4); 0 params_corr(5) ];
Y = Z*R; 
lam = exp(Nu(1) + Y(:,1));
mu = exp(Nu(2) + Y(:,2));
lammu = lam+mu;
px_corr = zeros(start_days,censor_point+1);
for y = 0:censor_point-1
   part1 = (lam*t').^y.*exp(-lammu*t')/prod(1:y);
   part2 = lam.^y.*mu./(lammu.^(y+1))*ones(1,start_days);
   part3 = 0;
   for j=0:y
      part3 = part3 + (lammu*t').^j/prod(1:j); 
   end
   px_corr(:,y+1) = mean(part1 + part2.*(1-exp(-lammu*t').*part3))';
end
px_corr(:,censor_point+1) = 1 - sum(px_corr(:,1:censor_point),2);
