% compute_px_pnbd.m

r     =  0.553;
alpha = 10.578;
s     =  0.606;
beta  = 11.669;

maxab = max(alpha,beta);
absab = abs(alpha-beta);

start_days = 84;
calib_weeks = 39;
t = calib_weeks - [1:start_days]'/7;
censor_point = 7;

px_pnbd= zeros(start_days,censor_point+1);
for i = 1:start_days
for y = 0:censor_point-1
   if (alpha>beta)
      C1=h2f1(r+s,s+1,r+s+y+1,(alpha-beta)./alpha)./alpha^(r+s);
   else
      C1=h2f1(r+s,r+y,r+s+y+1,(beta-alpha)./beta)./beta^(r+s);
   end
   part1=gamma(r+y)./(gamma(y+1)*gamma(r))*alpha^r*beta^s*t(i)^y./((alpha+t(i))^(r+y)*(beta+t(i))^s);
   part2=s*alpha^r*beta^s*gamma(r+y)./(gamma(r)*gamma(r+s+y+1));
   sumterm=0;
   for j=0:y
      if (alpha>beta)
         C2=h2f1(r+s+j,s+1,r+s+y+1,(alpha-beta)./(alpha+t(i)))./(alpha+t(i)).^(r+s+j);
      else
         C2=h2f1(r+s+j,r+y,r+s+y+1,(beta-alpha)./(beta+t(i)))./(beta+t(i)).^(r+s+j);
      end
      sumterm=sumterm+t(i)^j./gamma(j+1)*gamma(r+s+j)*C2;   
   end
   px_pnbd(i,y+1)=part1 + part2*(gamma(r+s)*C1 - sumterm);
end
px_pnbd(i,censor_point+1) = 1 - sum(px_pnbd(i,1:censor_point));
end



