% create_ce_plot.m
ce_f_act = zeros(max(p1x)+1,1);
ce_f_uncorr = zeros(max(p1x)+1,1);
ce_f_corr = zeros(max(p1x)+1,1);
ce_f_pnbd = zeros(max(p1x)+1,1);
np1x = zeros(max(p1x)+1,1);
for y = unique(p1x)'
    isx = find(p1x==y);
    np1x(y+1) = length(isx);
    ce_f_act(y+1) = sum(p2x(isx))/np1x(y+1);
    ce_f_uncorr(y+1) = sum(ce_uncorr(isx))/np1x(y+1);
    ce_f_corr(y+1) = sum(ce_corr(isx))/np1x(y+1);
    ce_f_pnbd(y+1) = sum(ce_pnbd(isx))/np1x(y+1);
end
% create right-censored version for plot
censor = 7;  % right-censor at 7+
denom = sum(np1x(censor+1:length(np1x)));
ce_f_act_cen = ce_f_act(1:censor);
ce_f_act_cen(censor+1) = (np1x(censor+1:length(np1x))'...
    *ce_f_act(censor+1:length(np1x)))/denom;
ce_f_uncorr_cen = ce_f_uncorr(1:censor);
ce_f_uncorr_cen(censor+1) = (np1x(censor+1:length(np1x))'...
    *ce_f_uncorr(censor+1:length(np1x)))/denom;
ce_f_corr_cen = ce_f_corr(1:censor);
ce_f_corr_cen(censor+1) = (np1x(censor+1:length(np1x))'...
    *ce_f_corr(censor+1:length(np1x)))/denom;
ce_f_pnbd_cen = ce_f_pnbd(1:censor);
ce_f_pnbd_cen(censor+1) = (np1x(censor+1:length(np1x))'...
    *ce_f_pnbd(censor+1:length(np1x)))/denom;
%
plot([0:censor],ce_f_act_cen,'k',[0:censor],ce_f_uncorr_cen,'kx-.', ....
   [0:censor],ce_f_corr_cen,'k+--',[0:censor],ce_f_pnbd_cen,'kp:');
legend('Actual','Uncorr','Corr','Pareto/NBD',4);
xlabel('# Transactions in Weeks 1-39'); 
ylabel('Average # Transactions in Weeks 40-78');
axis([-.3 7.3 0 7]);
label = [ ' 0'; ' 1'; ' 2'; ' 3'; ' 4'; ' 5'; ' 6'; '7+' ];
set(gca,'xticklabel',label);
print -depsc 'd:\ce_plot.eps'