% create_cumulative_tracking_plot.m
start_days = 84;
calib_weeks = 39;
% determine cohort size by day of trial
ns = zeros(1,start_days);
for i = 1:start_days
   ns(i) = sum((T == (calib_weeks*7-i)/7));
end
%
tmpCumSls_uncorr = zeros(start_days,EndDay);
tmpCumSls_corr = zeros(start_days,EndDay);
tmpCumSls_pnbd = zeros(start_days,EndDay);
for i = 1:start_days
   tmpCumSls_uncorr(i,:) = [ zeros(1,i) ex_uncorr(1:EndDay-i) ];
   tmpCumSls_corr(i,:) = [ zeros(1,i) ex_corr(1:EndDay-i) ];
   tmpCumSls_pnbd(i,:) = [ zeros(1,i) ex_pnbd(1:EndDay-i) ];
end
DailySls_uncorr = ns*tmpCumSls_uncorr;
DailySls_corr = ns*tmpCumSls_corr;
DailySls_pnbd = ns*tmpCumSls_pnbd;
% extract weekly numbers
CumSls_uncorr = [];
CumSls_corr = [];
CumSls_pnbd = [];
for i = 1:EndWk
   CumSls_uncorr(i) = DailySls_uncorr(i*7);
   CumSls_corr(i) = DailySls_corr(i*7);
   CumSls_pnbd(i) = DailySls_pnbd(i*7);
end    
% load actual cumulative repeat sales data
actual = xlsread('d:\cdnow_data','Cum. Repeat Sales','b1:b78');
% create tracking plot of cumulative repeat sales (pred. vs actual)
plot(1:EndWk,actual,'k', 1:EndWk,CumSls_uncorr,'k-.', .... 
    1:EndWk,CumSls_corr,'k:', [39 39],[0 5000],'k--', ....
    1:EndWk,CumSls_pnbd,'k--');
axis([0,78,1,5000]);
set(gca,'YTick',[ 0 1000 2000 3000 4000 5000 ]);
set(gca,'XTick',[ 0 13 26 39 52 65 78 ]);
xlabel('Week'); ylabel('Cum. Rpt Transactions');
legend('Actual','Uncorr','Corr','Pareto/NBD',2);
print -depsc 'd:\cum_tracking.eps'
