% create_fit_distribution.m
% determine cohort size by day of trial
ns = zeros(1,start_days);
for i = 1:start_days;
   ns(i) = sum((T == (calib_weeks*7-i)/7));
end
%
freq_uncorr = ns*px_uncorr;
freq_corr = ns*px_corr;
freq_pnbd = ns*px_pnbd;
freq_act = zeros(1,censor_point+1);
for y = 0:censor_point-1
   freq_act(y+1) = length(find(p1x==y));
end;
freq_act(censor_point+1) = length(p1x) - sum(freq_act(1:censor_point));
%
bar([ freq_act' freq_uncorr' freq_corr' freq_pnbd' ])
legend('Actual','Uncorr','Corr','Pareto/NBD');
xlabel('# Transactions');
ylabel('Frequency');
label = [ ' 0'; ' 1';' 2'; ' 3'; ' 4'; ' 5'; ' 6'; '7+' ];
set(gca,'xticklabel',label);
colormap(gray);
print -depsc 'd:\fit_distribution.eps'
