% create_lam_mu_plots.m
m = cumsum(.0001*ones(1,10000));
%
density_lam_uncorr = pdf('logn',m,params_uncorr(1),params_uncorr(3));
density_mu_uncorr = pdf('logn',m,params_uncorr(2),params_uncorr(4));
%
r     =  0.553;
alpha = 10.578;
s     =  0.606;
beta  = 11.669;
density_lam_pnbd = alpha^r*m.^(r-1).*exp(-alpha*m)/gamma(r);
density_mu_pnbd = beta^s*m.^(s-1).*exp(-beta*m)/gamma(s); 
%
plot(m,density_lam_uncorr,'k-',m,density_lam_pnbd,'k:');
axis([0,1,0,25]);
legend('Uncorr','Pareto/NBD');
print -depsc 'd:\dist_lam.eps'
%
plot(m,density_mu_uncorr,'k-',m,density_mu_pnbd,'k:');
axis([0,1,0,25]);
legend('Uncorr','Pareto/NBD');
print -depsc 'd:\dist_mu.eps'
