function [f,g]= ll_corr(param)
% ll_corr.m -- evaluate the log-likelihood function for the 
% "correlated Pareto/NBD" model.
global p1x tx T Z
param 
% Part A
Nu = param(1:2);
R = [ param(3) param(4); 0 param(5) ];
Y = Z*R; 
lam = exp(Nu(1) + Y(:,1));
mu = exp(Nu(2) + Y(:,2));
% Part B
lammu = lam + mu;
lik = zeros(length(p1x),1);
for i = 1:length(p1x)
   tmp = lam.^(p1x(i))./lammu;
   lik(i) = mean(tmp.*(mu.*exp(-lammu*tx(i)) + lam.*exp(-lammu*T(i))));
end
f = -sum(log(lik))
g=[];
