function [f,g]= ll_uncorr(param)
% ll_uncorr.m -- evaluate the log-likelihood function for the 
% "correlated Pareto/NBD model" with zero correlation. 
global p1x tx T Z
param 
% Part A
Nu = param(1:2);
Sigma = diag([param(3:4)]);
Y = Z*sqrt(Sigma);
lam = exp(Nu(1) + Y(:,1));
mu = exp(Nu(2) + Y(:,2));
% Part B
lammu = lam + mu;
lik = zeros(length(p1x),1);
for i = 1:length(p1x)
   tmp = lam.^(p1x(i))./lammu;
   lik(i) = mean(tmp.*(mu.*exp(-lammu*tx(i)) + lam.*exp(-lammu*T(i))));
end
f = -sum(log(lik))
g=[];
